import 'package:flutter/material.dart';
import 'package:frontend_eccp_mobile/app/core/constants/app_colors.dart';
import 'package:frontend_eccp_mobile/app/core/constants/app_spacing.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:iconsax_plus/iconsax_plus.dart';

Widget somethingWrong() {
  return Column(
    mainAxisAlignment: MainAxisAlignment.center,
    children: [
      Icon(
        IconsaxPlusLinear.cloud_remove,
        size: 52,
        color: AppColors.neutral400,
      ),
      AppSpacing.h12,
      Text(
        'Oops, something wrong',
        style: GoogleFonts.inter(
          fontSize: 14,
          fontWeight: FontWeight.w700,
          color: AppColors.neutral900,
        ),
      ),
      AppSpacing.h4,
      Text(
        'Please try again later',
        style: GoogleFonts.inter(
          fontSize: 12,
          color: AppColors.neutral600,
        ),
      ),
      AppSpacing.h12,
    ],
  );
}
